=== debian/changelog ===
ros-noetic-aruco (3.0.1-3buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Feb 2022 00:00:00 -0000

ros-noetic-aruco (3.0.0-3buster) buster; urgency=high

  * fixes pal-robotics/aruco_ros/#89
  * Contributors: 444lhc

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 16 Jul 2021 00:00:00 -0000

ros-noetic-aruco (2.1.1-3buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 17 Sep 2020 00:00:00 -0000

ros-noetic-aruco (2.1.0-3buster) buster; urgency=high

  * Add param to correct fisheye distortion with special CV functions
  * Add support for camera extrinsics when dealing with stereo cameras
  * Contributors: Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 Jan 2020 00:00:00 -0000

ros-noetic-aruco (2.0.2-3buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Nov 2019 00:00:00 -0000

ros-noetic-aruco (2.0.1-3buster) buster; urgency=high

  * Fix dependency
  * Contributors: Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-noetic-aruco (1.0.0-3buster) buster; urgency=high

  * Fix shadowed variables
  * Add SYSTEN to include dirs
  * Merge pull request #68 <https://github.com/pal-robotics/aruco_ros//issues/68> from aPonza/ros_format
    Autoformatting as per CppStyleGuide
  * removed using namespace declarations
  * autoformatting as per CppStyleGuide
  * Migration to aruco 3.0.4
  * Merge branch 'indigo-devel' into kinetic-devel
  * Completely remove debug print
  * Merge pull request #37 <https://github.com/pal-robotics/aruco_ros//issues/37> from pal-robotics/remove-debug-print
    Remove debug log msg
  * Remove debug log msg
  * Merge pull request #29 <https://github.com/pal-robotics/aruco_ros//issues/29> from cehberlin/kinetic-devel
    forcing opencv3 build for kinetic
  * forcing opencv3 build for kinetic
  * Contributors: Andrea Ponza, Bence Magyar, Christopher Hrabia, Jordi Pages, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-noetic-aruco (0.2.2-3buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 25 Jul 2017 00:00:00 -0000

ros-noetic-aruco (0.2.1-3buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Jul 2017 00:00:00 -0000

ros-noetic-aruco (0.2.0-3buster) buster; urgency=high

  * Fix compilation error in Ubuntu 16.04
    With this change, aruco_ros compiles properly in Ubuntu 16.04, ROS kinetic.
  * Contributors: Francisco

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 19 Oct 2016 00:00:00 -0000

ros-noetic-aruco (0.1.0-3buster) buster; urgency=high

  * Depend on libopencv-dev directly
  * Replace opencv2 dependency with cv_bridge
  * Update changelogs and maintainer email
  * Add aruco marker generator and opencv dependency
  * Remove duplicated images
  * Remove old launch files
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Aug 2015 00:00:00 -0000

ros-noetic-aruco (0.0.1-3buster) buster; urgency=high

  * Initial release
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 May 2015 00:00:00 -0000
